* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --primary-color: #73cee9;
    --light-color: #fff;
    --dark-color: #021e58;
}

body {
    font-family: 'Poppins', 'sans-serif';
    font-size: 16px;
    line-height: 1.5;
    background: var(--primary-color);
    justify-content: center;
}

a {
    text-decoration: none;
    color: #333;
}

ul {
    list-style: none;
}

.logo-slika {
    max-width: 100px;
}

.prazan-segment {
    height: 60px;
    background: #73cee9;
}

.prazan-segment-2 {
    height: 8px;
    background: #021e58;
}

/* Navbar */
.navbar {
    background: #fff;
}

.navbar .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navbar .main-menu ul {
    display: flex;
}

.navbar ul li a {
    padding: 10px 20px;
    display: block;
    font-weight: 700;
    font-size: 18px;
    transition: 0.5s;
}

.navbar ul li a:hover {
    color: var(--primary-color);
}

/* Utility Classes */
.container {
    max-width: 1100px;
    margin: 0 auto;
    padding: 0 15px;
}

/* Stilizacija osnovnog menija */
.menu {
    list-style-type: none;
    margin: 0;
    padding: 0;
    background-color: #fff;
    overflow: hidden;
}

.menu li {
    float: left;
}

.menu li a {
    display: block;
    color: var(--dark-color);
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}

.menu li a:hover {
    background-color: #fff;
}

/* Stilizacija podmenija */
.submenu {
    display: none;
    position: absolute;
    background-color: var(--primary-color);
    min-width: 160px;
    z-index: 1;
}

.submenu li {
    float: none;
}

.submenu li a {
    padding: 12px 16px;
}

.submenu li a:hover {
    background-color: var(--dark-color);
}

/* Prikaz podmenija pri prelasku mišem */
.menu li:hover .submenu {
    display: block;
}

/* Stilizacija drugog nivoa podmenija */
.submenu2 {
    display: none;
    position: absolute;
    left: 100%;
    top: 0;
    background-color: var(--dark-color);
}

.submenu2 li {
    float: none;
}

.submenu2 li a {
    padding: 12px 16px;
    color: var(--primary-color);
    text-decoration: none;
}

.submenu2 li a:hover {
    color: var(--dark-color) !important;
    background-color: var(--primary-color);
}

/* Prikaz drugog nivoa podmenija pri prelasku mišem */
.submenu li:hover .submenu2 {
    display: block;
}

/* NASLOVNA */
.container-2 {
    display: flex;
    width: 90%;
    max-width: 1300px;
    margin: 20px auto;
}

.main-content {
    flex: 3;
    padding: 20px;
    margin-right: 20px;
}

.sidebar {
    flex: 1;
    padding: 20px;
}

.news-item {
    height: fit-content;
    width: 100%;
    margin-bottom: 20px;
    padding: 15px;
    border: 1px solid #ddd;
    border-radius: 5px;
    background-color: #fff;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

.turnir {
    float: left;
    height: 100px;
    width: 300px;
}

.vest {
    font-size: 32px !important;
    font-weight: 600;
}

.news-item h2 {
    margin-top: 0;
}

.news-item p {
    margin: 10px 0;
}

.news-item a {
    color: #007bff;
    text-decoration: none;
    font-size: 24px;
}

.ad {
    margin-bottom: 20px;
    padding: 15px;
    border: 1px solid #ddd;
    border-radius: 5px;
    background-color: #fff;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
    text-align: center;
}


/* Mobile Menu */

.hamburger-button {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    padding: 10px;
    z-index: 1000;
}

.hamburger-button .hamburger-line {
    width: 30px;
    height: 3px;
    background: var(--dark-color);
    margin: 6px 0;

}

.mobile-menu {
    position: fixed;
    top: 0;
    right: -300px;
    width: 250px;
    height: 100%;
    z-index: 100;
    background: white;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    transition: right 0.3s ease-in-out;
}

.mobile-menu a {
    color: var(--dark-color);
}


.mobile-menu.active {
    right: 0px;;
}   

.mobile-menu ul {
    margin-top: 150px;
    padding-right: 10px;
}

.mobile-menu ul li {
    margin: 10px 0;
}

.mobile-menu ul li a {
    font-size: 18px;
    transition: 0.3s;
}

.mobile-menu ul li ul {
    margin-top: -10px; /* Ovo uklanja razmak između roditelja i podmenija */
    padding-left: 10px; /* Ovim se podmeni malo pomera udesno kako bi se razlikovao od glavnog menija */
}

.mobile-menu ul li ul {
    background-color: white; /* Ova boja će razlikovati podmeni od glavnog menija */
    border-left: 3px solid var(--primary-color); /* Dodaj tamnu liniju sa leve strane podmenija */
    padding-left: 15px;
}

.mobile-menu ul li ul li a {
    font-size: 16px; /* Možeš smanjiti font kako bi se podmeni razlikovao */
    color: var(--dark-color);
    /* color: var(--light-color); Tekst podmenija u svetloj boji */
}

@media (max-width: 960px) {

    .navbar .menu{
        display: none;
    }

    .navbar .hamburger-button {
        display: block;
    }
    
    .container-2 {
        flex-direction: column;
    }

    .container-3 {
        flex-direction: column;
    }

    .main-content {
        margin-right: 0;
    }

    .sidebar {
        width: 100%;
        margin-top: 20px;
    }

    .logo-slika {
        max-width: 50px;
    }

    /* Strelice */
    .arrow {
        font-size: 14px;
        margin-left: 10px;
    }

    /* Prikaz podmenija u mobilnoj verziji */
    .mobile-menu .sub-mobile-menu,
    .mobile-menu .submenu2,
    .mobile-menu .sub-mobile-menu2 {
        display: none;
    }

    .mobile-menu .sub-mobile-menu.active,
    .mobile-menu .submenu2.active,
    .mobile-menu .sub-mobile-menu2.active {
        display: block;
    }

    .sidebar {
        flex: 1;
        padding: 0px;
    }

    .news-item {
        height: fit-content;
        width: 100%;
        margin-bottom: 20px;
        padding: 15px;
        border: 1px solid #ddd;
        border-radius: 5px;
        background-color: white;
        box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
    }
    
    .vest {
        font-size: 24px !important;
        font-weight: 600;
    }
    
    .news-item h2 {
        margin-top: 0;
    }
    
    .news-item p {
        margin: 10px 0;
    }
    
    .news-item a {
        color: #007bff;
        text-decoration: none;
    }
    
    .turnir {
        height: 400px;
        width: 100%;
    }


}
